Bug 840084 - REBOOTCOUNT not documented
REBOOTCOUNT not documented
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.2
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 12:05 EDT by Petr Šplíchal
Modified: 2016-05-31 21:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:06:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-07-13 12:05:52 EDT
Description of problem:

Looking through the Beaker documentation I was not able to find
any mention about the REBOOTCOUNT variable which is quite useful
for tasks which require the system to be rebooted to detect
whether the reboot already happened.

This is implemented in rhts-test-runner.sh:
http://git.fedorahosted.org/git/?p=rhts.git;a=blob;f=bin/rhts-test-runner.sh;hb=HEAD

138 if [ ! -e "/var/cache/rhts/$TESTID/reboot" ]; then
139     mkdir -p /var/cache/rhts/$TESTID
140     export REBOOTCOUNT=0
141     echo 1 > /var/cache/rhts/$TESTID/reboot
142 else
143     export REBOOTCOUNT=$(cat /var/cache/rhts/$TESTID/reboot)
144     echo $(expr $REBOOTCOUNT + 1) > /var/cache/rhts/$TESTID/reboot
145 fi

Please, document this in the Beaker Deployment Guide. Thanks.
Comment 1 Raymond Mancy 2012-08-01 09:00:59 EDT
http://gerrit.beaker-project.org/#/c/1266/
Comment 3 Dan Callaghan 2012-08-09 04:06:57 EDT
Beaker 0.9.2 has been released.

Note You need to log in before you can comment on or make changes to this bug.